[general]
name = Superformula (sign);
comments = sign test;
a1_min = -180;
a1_max = 180;
a1_steps = 200;
a2_min = -90;
a2_max = 90;
a2_steps = 100;

[param]
name = a;
title = Collapse Width;
default = 1;
min = 0.5;
max = 1.1;

[param]
name = b;
title = Collapse Height;
default = 1;
min = 0.5;
max = 1.1;

[param]
name = m;
title = Streaks;
default = 1;
min = 0;
max = 40;

[param]
name = n1;
title = Spherical;
default = 1;
min = -30;
max = 30;

[param]
name = n2;
title = Smoothness;
default = 1;
min = -5;
max = 5;

[param]
name = n3;
title = Power;
default = 1;
min = -5;
max = 5;

[param]
name = d;
title = Divider;
default = 2;
min = 1;
max = 10;

[formula]
// built_in = superformula;
T1 = cos(m * A1 / 4) / a;
T2 = sin(m * A1 / 4) / b;
K1 = pow(abs(T1), n2) * sign(T1);
K2 = pow(abs(T2), n3) * sign(T2);
K3 = K1 + K2;
R1 = pow(abs(K3), n1) * sign(K3); 

T3 = cos(m * A2 / 4) / a;
T4 = sin(m * A2 / 4) / b;
K4 = pow(abs(T3), n2) * sign(T3);
K5 = pow(abs(T4), n3) * sign(T4);
K6 = K4 + K5;
R2 = pow(abs(K6), n1) * sign(K6); 

/*
X = R1 * cos(A1) * R2 * cos(A2);
Y = R1 * sin(A1) * R2 * cos(A2);
Z = R2 * sin(A2);
*/

X = A1;
Y = R1 * R2 * d;
Z = A2;

[preset]
name = Shape 1;
pictID = 16001;
n1 = 6;
n2 = 1.7;
n3 = 1.7;
m = 20;
a = 1;
b = 0.5;

[preset]
name = Shape 2;
pictID = 16002;
n1 = 6;
n2 = -1;
n3 = 1.7;
m = 20;
a = 1;
b = 0.5;

[preset]
name = Shape 3;
pictID = 16003;
n1 = 3;
n2 = -1.4;
n3 = 5;
m = 30;
a = 0.656;
b = 1.1;

[preset]
name = Shape 4;
pictID = 16004;
n1 = -9;
n2 = 1.7;
n3 = 1;
m = 20;
a = 1;
b = 0.71;

[preset]
name = Shape 5;
pictID = 16005;
n1 = -3;
n2 = 1;
n3 = 2;
m = 10;
a = 1;
b = 0.722;

[preset]
name = Shape 6;
pictID = 16006;
n1 = 3;
n2 = 0;
n3 = 1;
m = 4;
a = 1;
b = 1;

[preset]
name = Shape 7;
pictID = 16007;
n1 = 9;
n2 = -5;
n3 = 1.4;
m = 6;
a = 0.662;
b = 0.842;

[preset]
name = Shape 8;
pictID = 16008;
n1 = 9;
n2 = -5;
n3 = 1.4;
m = 12;
a = 0.5;
b = 1.0;

[preset]
name = Shape 9;
pictID = 16009;
n1 = 6.6;
n2 = -0.6;
n3 = 1.0;
m = 50;
a = 1;
b = 1;

[preset]
name = Shape 10;
pictID = 16010;
n1 = 2;
n2 = -0.4;
n3 = 1.0;
m = 2;
a = 1;
b = 1;

[preset]
name = Shape 11;
pictID = 16011;
n1 = 6.6;
n2 = 1;
n3 = 2.2;
m = 32;
a = 0.9;
b = 1.1;

[preset]
name = Shape 12;
pictID = 16012;
n1 = 1;
n2 = 0.3;
n3 = 5;
m = 8;
a = 1.1;
b = 0.908;

[preset]
name = Shape 13;
pictID = 16013;
n1 = -6;
n2 = 0.3;
n3 = 0.5;
m = 12;
a = 0.83;
b = 0.842;

[preset]
name = Shape 14;
pictID = 16014;
n1 = 20.4;
n2 = 5;
n3 = 2;
m = 12;
a = 1.1;
b = 0.5;