[general]
name = 3D Superformula;
comments = Base Shape;
a1_min = -180;
a1_max = 180;
a1_steps = 200;
a2_min = -90;
a2_max = 90;
a2_steps = 100;

[param]
name = a;
title = Collapse Width;
default = 1;
min = 0.5;
max = 1.1;

[param]
name = b;
title = Collapse Height;
default = 1;
min = 0.5;
max = 1.1;

[param]
name = m;
title = Streaks;
default = 1;
min = 0;
max = 40;

[param]
name = n1;
title = Spherical;
default = 1;
min = -30;
max = 30;

[param]
name = n2;
title = Smoothness;
default = 1;
min = -5;
max = 5;

[param]
name = n3;
title = Power;
default = 1;
min = -5;
max = 5;

[formula]
built_in = superformula;
/*
T1 = abs(cos(m * A1 / 4) / a);
T2 = abs(sin(m * A1 / 4) / b);
R1 = pow(pow(T1, n2) + pow(T2, n3), -1.0 / n1); 

T3 = abs(cos(m * A2 / 4) / a);
T4 = abs(sin(m * A2 / 4) / b);
R2 = pow(pow(T3, n2) + pow(T4, n3), -1.0 / n1); 

X = R1 * cos(A1) * R2 * cos(A2);
Y = R1 * sin(A1) * R2 * cos(A2);
Z = R2 * sin(A2);
*/

[preset]
name = Base Shape;
n1 = 0.2;
n2 = 1.7;
n3 = 1.7;
m = 7;
a = 1;
b = 1;

[preset]
name = Pentagon;
pictID = 16000;
n1 = 3;
n2 = 1;
n3 = 0;
m = 10;

[preset]
name = Sphere;
comments = Preset Test
		   Comments
		   line 3;
n1 = 20;
n2 = 2;
n3 = 2;
m = 3;

[preset]
name = Plum;
n1 = 1.4;
n2 = -1.6;
n3 = 2.0;
m = 1.0;
a = 1.0;
b = 1.0;